Условия, необходимые к соблюдению.

Требования к серверу:

  1. PHP всё равно в каком подключении (модулем CGI или модулем Апача).
    Версия PHP с 5.2 по 5.4

  2. Исходящие соединения (возможность доступа к внешним сайтам).
    Без исходящих соединений скрипт работать не будет.

  3. Поддержка хостером Зенда.

Предупреждение о локалхосте.

Локальный web-сервер обычно комплектуется минимальным набором самых простых модулей, достаточных для локального запуска сайта. Обычно в HTTP протоколе.

Поэтому локалхост может не поддерживать трафик под SSL сертификатом, и импорт контента с сервисов Гугла в таком случае не получится. Не пытайтесь заставить работать то, что работать просто не может - запускайте Нану-Референта сразу на реальном сервере, под полноценным PHP, укомплектованным всеми необходимыми модулями.

На локалхосте, вероятно, этот скрипт работать откажется.
Вызвано это только ущербностью локалхоста.